Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.ognl.accessor
Class XWorkMapPropertyAccessorTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.opensymphony.xwork2.XWorkTestCase
                  com.opensymphony.xwork2.ognl.accessor.XWorkMapPropertyAccessorTest

All Implemented Interfaces:
  junit.framework.Test

    public class XWorkMapPropertyAccessorTest

extends XWorkTestCase

Field Summary

Fields inherited from class com.opensymphony.xwork2.XWorkTestCase
`actionProxyFactory, configuration, configurationManager, container`

Constructor Summary
`XWorkMapPropertyAccessorTest()`

Method Summary
`void` | `testCreateNullObjectsIsFalseByDefault()`
`void` | `testMapContentsAreReturned()`
`void` | `testNullIsNotReturnedWhenCreateNullObjectsIsSpecified()`
`void` | `testNullIsReturnedWhenCreateNullObjectsIsSpecifiedAsFalse()`

Methods inherited from class com.opensymphony.xwork2.XWorkTestCase
`loadButAdd, loadButAdd, loadConfigurationProviders, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XWorkMapPropertyAccessorTest

    public XWorkMapPropertyAccessorTest()

Method Detail

### testCreateNullObjectsIsFalseByDefault

    public void testCreateNullObjectsIsFalseByDefault()

### testMapContentsAreReturned

    public void testMapContentsAreReturned()

### testNullIsNotReturnedWhenCreateNullObjectsIsSpecified

    public void testNullIsNotReturnedWhenCreateNullObjectsIsSpecified()

### testNullIsReturnedWhenCreateNullObjectsIsSpecifiedAsFalse

    public void testNullIsReturnedWhenCreateNullObjectsIsSpecifiedAsFalse()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.